Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152959 - Repeated Kernel Panics while using LVM Snapshot
Summary: Repeated Kernel Panics while using LVM Snapshot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Heinz Mauelshagen
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 13:26 UTC by Juergen Maniera
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-04 10:56:46 UTC


Attachments (Terms of Use)
screenshot (deleted)
2005-03-31 13:42 UTC, Juergen Maniera
no flags Details
lvdisplay of active snapshots (see next comment) (deleted)
2005-04-01 12:29 UTC, Juergen Maniera
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Juergen Maniera 2005-03-31 13:26:37 UTC
Description of problem:
Repeated Kernel Panics while using LVM Snapshot

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux AS release 3 (Taroon Update 4)
lvm-1.0.8-5
2.4.21-15.0.4.ELsmp #1 SMP Sat Jul 31 01:25:25 EDT 2004 i686 i686 i386 GNU/Linux

How reproducible:

The Kernel Panic happens while trying to make a backup of the follwing device:
/dev/vg_1/lv_imap2 ext3   268352200 126207656 128513056  50% /var/spool/imap2

The Backup of a similar devices on the same machine and the same HD worked well:
/dev/vg_1/lv_imap1 ext3   268352200  69058348 185662364  28% /var/spool/imap1


Steps to Reproduce:
1. lvcreate -L31G -s -n lv_snapshot_imap2 /dev/vg_1/lv_imap2

2. mount /dev/vg_1/lv_snapshot_imap2 /mnt/snapshot_imap2

3. dump -u0 -f imap2.dump /dev/vg_1/lv_snapshot_imap2

We tried three times and the crash happened after different amounts of data
being dumped:
7.7G    050328-1721/imap2.dump
83G     050329-0940/imap2.dump
29G     050329-0940/imap2_neu.dump

We did not make any more tests because it is our imap-server in production :-(
The problem is severe because we are without a reliable update of the user
mailboxes.

Additional info:
The dump of the source-device (not the snapshot) works without kernel panics.
Additionaly we tried the scenario on a test machine first: we got one kernel
panic on the first day but after that we had an uptime of 62 days.

Comment 1 Juergen Maniera 2005-03-31 13:42:05 UTC
Created attachment 112510 [details]
screenshot

Comment 2 Ernie Petrides 2005-04-01 04:26:53 UTC
Switching component to "kernel".

Comment 3 Juergen Maniera 2005-04-01 12:29:40 UTC
Created attachment 112579 [details]
lvdisplay of active snapshots (see next comment)

Comment 4 Juergen Maniera 2005-04-01 12:31:47 UTC
Hi

one more experience - I switched to an elder kernel we user first on our
testmachine 

2.4.21-15.0.4.ELsmp and with lvm-1.0.8-9

and the first backup of the critical partition succeeded. But after making
backups of the rest of the partitions an additional dump of the first partition
caused the "well known" kernel panic again :-(
I will attach the state of the snapshots after reboot of the machine - maybe it
is some help.

Comment 5 Heinz Mauelshagen 2005-04-04 10:56:46 UTC
Looks like another instance of BZ #135266.
Fix is scheduled for U5.

Comment 6 Heinz Mauelshagen 2005-04-04 12:53:32 UTC

*** This bug has been marked as a duplicate of 135266 ***

Comment 7 Ernie Petrides 2005-04-04 20:31:42 UTC
A fix for this problem was committed to the RHEL3 U5 patch pool
on 25-Jan-2005 (in kernel version 2.4.21-27.9.EL).


Comment 8 Tim Powers 2005-05-18 13:29:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.